package com.vsa.gestorincidencias.utilidades;

import java.util.Comparator;
import java.util.HashMap;

public class Ordenar implements Comparator<HashMap<String, String>> {

	private boolean criterio;

	public Ordenar(boolean criterio) {
		this.criterio = criterio;
	}

	@Override
	public int compare(HashMap<String, String> o1, HashMap<String, String> o2) {

		return criterio ? o1.get("subject").compareTo(o2.get("subject")) : o2
				.get("subject").compareTo(o1.get("subject"));
	}
}